> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address ERC20 Token Holding

> Retrieves the current ERC-20 token balance for a specified address.

export const chain = '1';

<Note>
  This is a PRO endpoint, available to the [Standard Plan](/resources/rate-limits) and above
</Note>

<Warning>This endpoint is throttled to **2 calls/second** regardless of API Pro tier.</Warning>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "TokenAddress": "0xffffffff2ba8f66d4e51811c5190992176930278",
        "TokenName": "Furucombo",
        "TokenSymbol": "COMBO",
        "TokenQuantity": "1861606940000000000",
        "TokenDivisor": "18",
        "TokenPriceUSD": "0.000891470000000000"
      },
      {
        "TokenAddress": "0x53a1e9912323b8016424d6287286e3b6de263f76",
        "TokenName": "PUTIN Token",
        "TokenSymbol": "PTT",
        "TokenQuantity": "3500000000000000000000",
        "TokenDivisor": "18",
        "TokenPriceUSD": "0.000000000000000000"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/addresstokenbalance.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Address ERC20 Token Holding
  version: 2.0.0
  description: Retrieves the current ERC-20 token balance for a specified address.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Address ERC20 Token Holding
      description: Retrieves the current ERC-20 token balance for a specified address.
      operationId: getAddresstokenbalance
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint.
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to addresstokenbalance for this endpoint.
          schema:
            type: string
            default: addresstokenbalance
          example: addresstokenbalance
        - name: address
          in: query
          required: true
          description: Address to check for token holdings.
          schema:
            type: string
          example: '0x983e3660c0bE01991785F80f266A84B911ab59b0'
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````